: Class FileJarServletLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Handler
Class FileJarServletLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--com.mortbay.HTTP.Handler.ServletLoader
                  |
                  +--com.mortbay.HTTP.Handler.FileJarServletLoader

public class FileJarServletLoader
extends ServletLoader

Servlet Class Loader.

#### Notes

The load search order is:
- Loader cache.
- If the class starts with a systemClass package name, load from builtin loader or fail.
- Try the loader path.
- Try the builtin loader. Classes found here may not be reloaded.

  Version:
    1.0 Tue May 4 1999
  Author:
    Greg Wilkins (gregw)

  Constructor Summary
  `FileJarServletLoader(java.lang.String servletClassPath)` Constructor.

  Method Summary
  `java.io.InputStream` | `getResourceAsStream(java.lang.String filename)` Get a resource as a stream.
  `boolean` | `isModified()` Return true a class is modified.
  `java.lang.Class` | `loadClass(java.lang.String name)` Load a class

  Methods inherited from class com.mortbay.HTTP.Handler.ServletLoader
  `loadClass`

  Methods inherited from class java.lang.ClassLoader
  `defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, resolveClass, setSigners`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### FileJarServletLoader

      public FileJarServletLoader(java.lang.String servletClassPath)
                           throws java.io.IOException

    Constructor.
    Parameters:
      `servletClassPath` -

  Method Detail

  ### getResourceAsStream

      public java.io.InputStream getResourceAsStream(java.lang.String filename)

    Get a resource as a stream. Return the raw input stream from a file in the classpath
    Overrides:
      getResourceAsStream in class java.lang.ClassLoader
    Parameters:
      `filename` - The filename of the resource
    Returns:
      An InputStream to the resource or null

  ### loadClass

      public java.lang.Class loadClass(java.lang.String name)
                                throws java.lang.ClassNotFoundException

    Load a class
    Overrides:
      loadClass in class ServletLoader
    Parameters:
      `name` -
      `resolve` -
    Returns:
    Throws:
      java.lang.ClassNotFoundException -

  ### isModified

      public boolean isModified()

    Return true a class is modified.
    Overrides:
      isModified in class ServletLoader
    Returns:
      true if any of the classes loaded by this loader have been modified since their load time.

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD